# butterflow-ui
A graphical user interface for butterflow.

![butterflow-ui screenshot](https://i.imgur.com/aE6oIrQ.png)

---

## About

**butterflow-ui** is a graphical front end for interacting with the [butterflow](https://github.com/dthpham/butterflow) command line application in Windows.

## Features
* *Multilingual Interface*

  Support for language settings.

* *Subregion Clipper*

  Helps find subregions in the video to process.

* *Reusable Configurations*

  Save your favorite configurations and load them for use with other videos.

* *Batch Processing*

  Process multiple files at once using the same settings across all files.
  
## Contribution

If you'd like to help contribute to the project, please don't be shy! Translation into your local language would always be appreciated. Translations can be generated automatically, but those automatic translations are prone to error. **butterflow-ui** can always be improved, and if there are missing features that you want, please submit a pull request.

### Butterflow Needs a New Maintainer

[butterflow](https://github.com/dthpham/butterflow) is currently looking for a new primary developer. If you're familiar with Python, C++, and the OpenCV toolkit, consider contributing to the project.

## Download

**butterflow-ui** is conveniently packaged in a Windows installer file (MSI) built with the [WIX toolset](http://wixtoolset.org). The latest installer can be downloaded [here](https://github.com/wagesj45/butterflow-ui/releases/latest). You can also download [old releases](https://github.com/wagesj45/butterflow-ui/releases) as well.

## Code Documentation

**butterflow-ui** is [fully documented](https://wagesj45.github.io/butterflow-ui) via [Sandcastle](https://github.com/EWSoftware/SHFB). You can find generated documents to help you contribute to the project in the [documentation section](https://wagesj45.github.io/butterflow-ui).

## Donations

[![Donate with Trans Pay](https://support.jordanwages.com/static/donate-with-transpay-en.png)](https://support.jordanwages.com?project=1)

If you would like to donate to the development of **butterflow-ui**, please direct you donation to my [patron page](https://support.jordanwages.com) (powered by Stripe) or directly via my [PayPal.Me](https://www.paypal.me/wagesj45) page. You can also donate Ethereum [to my wallet](https://etherscan.io/address/0x917f3d67e2a7ec8884d241118ee829af57cc4afd).
![Image](https://t.thebreadsticks.com/matomo.php?idsite=7&amp;rec=1&amp;action_name=README.md)
